require 'hashmake'
require 'spcore/version'

require 'spcore/core/circular_buffer'
require 'spcore/core/constants'
require 'spcore/core/delay_line'

require 'spcore/windows/bartlett_hann_window'
require 'spcore/windows/bartlett_window'
require 'spcore/windows/blackman_harris_window'
require 'spcore/windows/blackman_nuttall_window'
require 'spcore/windows/blackman_window'
require 'spcore/windows/cosine_window'
require 'spcore/windows/flat_top_window'
require 'spcore/windows/gaussian_window'
require 'spcore/windows/hamming_window'
require 'spcore/windows/hann_window'
require 'spcore/windows/lanczos_window'
require 'spcore/windows/nuttall_window'
require 'spcore/windows/rectangular_window'
require 'spcore/windows/triangular_window'
require 'spcore/windows/tukey_window'

require 'spcore/filters/fir/fir'
require 'spcore/filters/fir/sinc_filter'
require 'spcore/filters/fir/dual_sinc_filter'
require 'spcore/filters/iir/biquad_filter'
require 'spcore/filters/iir/cookbook_allpass_filter'
require 'spcore/filters/iir/cookbook_bandpass_filter'
require 'spcore/filters/iir/cookbook_highpass_filter'
require 'spcore/filters/iir/cookbook_lowpass_filter'
require 'spcore/filters/iir/cookbook_notch_filter'

require 'spcore/interpolation/interpolation'

require 'spcore/transforms/dft'
require 'spcore/transforms/fft'

require 'spcore/resampling/discrete_resampling'
require 'spcore/resampling/polynomial_resampling'
require 'spcore/resampling/hybrid_resampling'

require 'spcore/analysis/calculus'
require 'spcore/analysis/features'
require 'spcore/analysis/statistics'
require 'spcore/analysis/frequency_domain'

require 'spcore/util/gain'
require 'spcore/util/limiters'
require 'spcore/util/plotter'
require 'spcore/util/saturation'
require 'spcore/util/scale'
require 'spcore/util/signal'
require 'spcore/util/envelope_detector'

require 'spcore/generation/oscillator'
require 'spcore/generation/signal_generator'
require 'spcore/generation/comb_filter'
